<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Allgemein\VhsNachricht;

class VhsNachrichtView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'allgemein/vhs_nachricht/nachrichtformular.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    $dm = new \Datamodul();
    $dm->vhsname = $this->viewModel->vhsname;
    $dm->maxGroesseProDatei = $this->viewModel->maxGroesseProDatei;
    $dm->maxGroesseAllerDateien = $this->viewModel->maxGroesseAllerDateien;

    return array($dm);
  }
}

class VhsNachrichtViewModel
{
  public $vhsname;
  public $maxGroesseProDatei;
  public $maxGroesseAllerDateien;
}